Order Moderation
List all orders
GET
/api/v1/orders/adminLists orders across the platform. Staff-only.
Requires Authorization
ADMIN, SUPPORT, ACCOUNTANT only
Session
Query parameters
pagenumber | Defaults to 1. |
limitnumber | Max 100. Defaults to 20. |
statusstring | Filter by order status. |
shopIdstring | Filter by shop. |
Request
curl --request GET \
--url https://api.swiftgoma.com/api/v1/orders/admin \
--header 'Authorization: Bearer <access_token>'200Example response
{
"success": true,
"data": {
"orders": [
{
"id": "ord_5e6f7a",
"buyerId": "3f2a1c9e",
"shopId": "shop_2b3c4d",
"status": "PENDING_SELLER_REVIEW",
"fulfillmentMethod": "DELIVERY",
"paymentMethod": "MOBILE_MONEY",
"currency": "USD",
"deliveryAddress": "12 Avenue du Lac, Goma",
"deliveryFee": "2.00",
"subtotal": "25.00",
"total": "27.00",
"items": [
{
"id": "oitem_1a2b3c",
"productId": "prod_7c8d9e",
"variantId": "var_4d5e6f",
"name": "Riz parfumé 25kg",
"quantity": 2,
"unitPrice": "12.50",
"lineTotal": "25.00"
}
],
"createdAt": "2026-02-15T09:00:00.000Z",
"updatedAt": "2026-02-15T09:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"totalPages": 1
}
}
}